﻿#repositorio-de-galeria {
    min-width: unset;
    width: 100%;
    overflow-x: hidden;
}

/* Global Colors*/
:root { 
  --background-color: #ffffff; 
  --menu-b-solid-color: rgba(0,0,0,0);
  --menu-b-opacity-color: rgba(0,0,0,1);
  --menu-c-solid-color: rgba(0,0,0,0.7);

  --laranja-color: #ef8207;
  --azul-color: #003B4C;
  --azul-opacity-color: rgba(0,59,76,0.8);
  --vermelho-color: #fc0002;

  --default-color: #272829; 
  --heading-color: #050d18; 
  --accent-color: #fc0002; 
  --surface-color: #ffffff; 
  --contrast-color: #ffffff; 
}


html {scroll-behavior: smooth;}
body {
	background-color:var(--background-color);
	margin-left:0px !important;
	margin-right: 0px !important;
	margin-top: -25px !important;
	margin-bottom: 0px !important;
	padding: 0px !important;
    	overflow-x: hidden;
    	max-width: 100%;
} 

@font-face {
  font-family: 'Segoe_UI';
  src: url("fonts/segoeui.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Segoe_UI';
  src: url("fonts/seguisb.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: 'Segoe_UI_Light';
  src: url("fonts/segoeuil.ttf") format("truetype");
}

@font-face {
  font-family: 'Trebuchet';
  src: url("fonts/trebuc.ttf") format("truetype");
}

@font-face {
  font-family: 'conthrax';
  src: url("fonts/conthrax-sb.ttf") format("truetype");
}




.bi {font-size:20pt;color:#ffffff;}

@link-color {#e8e8e8 !important;}


/* Navbar */
.navbar-nav a {font-size: 15px;font-family: 'Segoe_UI_Light' !important;font-weight:bold;}
.navbar-nav > li > a {color:#ffffff !important;padding-left: 35px !important;padding-right: 35px !important;padding-bottom: 4px !important;}
.dropdown-item {color:#404040 !important;}
.dropdown-item:hover {opacity: 0.6;transition: opacity .25s ease-in-out;-moz-transition: opacity .25s ease-in-out;-webkit-transition: opacity .25s ease-in-out;}

.navbar-nav > li > a:after  {
  display:block;
  content: '';
  border-top: solid 3px #ffffff;  
  transform: scaleX(0);  
  transition: transform 250ms ease-in-out;
}
.navbar-nav > li > a:hover:after { transform: scaleX(1);}

.navbar.navbar .navbar-toggler-icon {
background-image: url('images/icon.svg');
}


/* Logo Navbar */
@media screen and (min-width: 992px) {
    .logobase {
        width:15%;
	max-width: 25%;
    }
}
@media screen and (max-width: 992px) {
    .logobase {
        width:50%;
	max-width: 100%;
    }
}


/* Background for mobile*/
@media (max-width: 992px) {
    .navbar-collapse {
        background-color: #000000 !important; 
    }
    .navbar {
        background-color: rgba(0,0,0,1) !important; 
    }
}

.logoimg {transition: transform 0.5s ease-in-out, margin-bottom 0.5s ease-in-out !important;}


.fade_n {
   text-decoration: none;
   opacity: 1;
   transition: opacity .25s ease-in-out;
   -moz-transition: opacity .25s ease-in-out;
   -webkit-transition: opacity .25s ease-in-out;
}

.fade_n:hover {
      opacity: 0.8;
}




$('.carousel').carousel({
  interval: 1000
})

.carousel-caption{
    transform: translateY(-50%);
    bottom: initial;
    top: 50%;
}


.d-inline {
	text-decoration: none;
	opacity: 1;
	transition: opacity .25s ease-in-out;
	-moz-transition: opacity .25s ease-in-out;
	-webkit-transition: opacity .25s ease-in-out;
   }

.d-inline:hover {
      opacity: 0.6;
      }


a {font-family:Segoe_UI_Light !important;color:#ef8207 !important;font-weight:bold;}
a:hover {text-decoration:none;color:#ef8207;}

a.branco {font-family:Segoe_UI_Light !important;color:#e8e8e8 !important;font-weight:normal !important;}
a.branco:hover {text-decoration:none;color:#e8e8e8;}

p {font-family:Segoe_UI;font-size:12pt;color:#000000;line-height: 1.7 !important;}
p.caption {font-family:Segoe_UI_Light;font-size:12pt;color:#ffffff;font-weight:bold;}

h2 {font-family:Segoe_UI_Light;color:var(--vermelho-color) !important;font-weight:bold !important;}
h3 {font-family:Segoe_UI_Light;color:var(--vermelho-color) !important;font-weight:bold !important;}
h4 {font-family:Segoe_UI_Light;color:var(--vermelho-color) !important;}
h5 {font-family:Segoe_UI_Light;color:#ffffff;font-weight:bold;margin-bottom:20px;}
h6 {font-family:Segoe_UI;color:#000000;font-weight:bold !important;}

.rod {font-family:Segoe_UI_Light;font-size:12pt;color:#e8e8e8 !important;}
.rodtag {font-family:calibri;font-size:8pt;color:#c0c0c0 !important;}

a.rod_a {font-family:calibri, sans-serif !important;text-decoration:none;color:#e8e8e8  !important;transition:0.3s;}
a.rod_a:hover {font-family:calibri, sans-serif !important;text-decoration:none;opacity:0.6;}

a.direto {font-family:Segoe_UI_Light !important;color:#002341;font-weight:bold;}
a.direto:hover {text-decoration:none;color:#E63343;}


.corpo {font-family:Segoe_UI;font-size:12pt;color:#000000;}
legend {font-family:Segoe_UI_Light;color:#700013;font-weight:bold;font-size:12pt}



/*--------------------------------------------------------------
# Form
--------------------------------------------------------------*/
.input-group-text {font-size:0.7rem !important;font-weight:bold !important;}

input {font-size:1rempt !important;}
select {font-family:Segoe_UI;font-size:12pt;color:#000000;}

input[type=radio], input[type=checkbox]  {
    width: 20px;
    height: 20px;
}

input::placeholder {
  font-style: italic;
  color:#404040;
  font-size:10pt;
} 



/*--------------------------------------------------------------
# Lista UL LI
--------------------------------------------------------------*/
.lista-personalizada {
  list-style-type: none;
  padding-left: 0px;
}

.lista-personalizada li {
  text-decoration: none;
  font-family:Segoe_UI;
  font-size:12pt;color:#000000;
  line-height: 1 !important;
}
.lista-personalizada li::before {
  content: "\27A7";
  color:var(--vermelho-color) !important;
  margin-right: 10px;
}


/*--------------------------------------------------------------
# Swiper-container 
--------------------------------------------------------------*/
swiper-container {
  --swiper-navigation-size: 24px;
  }

  swiper-container::part(button-next),
  swiper-container::part(button-prev) {
    color: var(--vermelho-color) !important;
  }

swiper-container::part(bullet) {
  background-color: #e0e0e0; 
  opacity: 1; 
}

swiper-container::part(bullet-active) {
  background-color: var(--vermelho-color) !important;
}

/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
  position: fixed;
  inset: 0;
  z-index: 999999;
  overflow: hidden;
  background: var(--background-color);
  transition: all 0.6s ease-out;
}

#preloader:before {
  content: "";
  position: fixed;
  top: calc(50% - 30px);
  left: calc(50% - 30px);
  border: 6px solid #ffffff;
  border-color: var(--accent-color) transparent var(--accent-color) transparent;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: animate-preloader 1.5s linear infinite;
}

@keyframes animate-preloader {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}
/*--------------------------------------------------------------
# Preloader Fim
--------------------------------------------------------------*/


/*--------------------------------------------------------------
# Giro fone svg
--------------------------------------------------------------*/
@keyframes girar {
  0% {transform: rotate(0deg);}
  50% {transform: rotate(90deg);}
  80% {transform: rotate(90deg);}
  100% {transform: rotate(0deg);}

}
.imagem-rotativa {
  animation: girar 5s ease infinite; 
}
/*--------------------------------------------------------------
# FIM Giro fone svg
--------------------------------------------------------------*/





/*--------------------------------------------------------------
# Marquee 
--------------------------------------------------------------*/
.marquee-container {overflow: hidden;white-space: nowrap;}
.marquee-content {display: inline-block; animation: marquee 50s linear infinite;}
@keyframes marquee {
    from {
      transform: translateX(100%);
    }
    to {
      transform: translateX(-100%);
    }
  }


/*--------------------------------------------------------------
# Botão Mais Detalhes 
--------------------------------------------------------------*/

.container-imagem {
 position: relative;
 width: 100%;
 max-width: 400px;
 overflow: hidden;
 background-color: rgba(0, 0, 0, 1)
}
.container-imagem img {
 width: 100%;
 height: auto;
 display: block;
 transition: all 0.5s ease;
}
.botao-detalhes {
 position: absolute;
 top: 50%;
 left: 50%;
 transform: translate(-50%, -50%);
 background-color: rgba(252, 0, 2, 1); 
 color: #ffffff;
 font-family: 'Segoe_UI';
 font-weight: bold;
 padding: 10px 10px;
 border: 0px;
 border-radius: 5px;
 font-size: 14px;
 cursor: pointer;
 opacity: 0;
 filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.9));
 transition: opacity 0.5s ease; 
}
.texto-botao-detalhes {
 position: absolute;
 top: 35%;
 left: 50%;
 transform: translate(-50%, -50%);
 background-color: rgba(255, 255, 255, 0); 
 color: #ffffff;
 font-family: 'Segoe_UI';
 font-weight: bold;
 padding: 0px 0px;
 border: none;
 font-size: 20px;
 cursor: pointer;
 opacity: 0;
 filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.9));
 transition: opacity 0.5s ease; 
}

.container-imagem:hover .botao-detalhes {
 opacity: 1;
}
.container-imagem:hover .texto-botao-detalhes {
 opacity: 1;
}
.container-imagem:hover img {
 filter: brightness(0.5);
 transform: scale(0.95);
 transition: all 0.5s ease;
}
